summaryrefslogtreecommitdiff
path: root/utils/lib_sxng_vite.sh
diff options
context:
space:
mode:
authorIvan Gabaldon <igabaldon@inetol.net>2025-06-28 09:55:15 +0200
committerMarkus Heiser <markus.heiser@darmarIT.de>2025-07-03 17:35:05 +0200
commita947d5b3cff32104ee009113226feab45439dbdd (patch)
treebcb49118b7400509f97852382fee2fd2ea7efcf5 /utils/lib_sxng_vite.sh
parent0cbb4f74ccff4aba15d9f2619f30bf77361f441c (diff)
[mod] theme/simple: improve fmt/lint tech
This is one of various PR to refactor the simple theme internally. Replace eslint tool with Biome. I have been using this for quite some time, and it will help us to have more consistent and valid code without extending on other third party plugins. Removes unused dependencies.
Diffstat (limited to 'utils/lib_sxng_vite.sh')
-rw-r--r--utils/lib_sxng_vite.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/utils/lib_sxng_vite.sh b/utils/lib_sxng_vite.sh
index 7eb670fba..bb6a881cc 100644
--- a/utils/lib_sxng_vite.sh
+++ b/utils/lib_sxng_vite.sh
@@ -9,6 +9,8 @@ vite.help(){
vite.: .. to be done ..
simple.:
build: build static files of the simple theme
+ fix: run prettiers on simple theme
+ lint: run linters on simple theme
dev: start development server
EOF
}
@@ -36,8 +38,6 @@ vite.simple.build() {
pushd "${VITE_SIMPLE_THEME}"
npm install
- npm run fix
- npm run icons.html
npm run build
popd &> /dev/null
)
@@ -50,6 +50,13 @@ vite.simple.fix() {
)
}
+vite.simple.lint() {
+ ( set -e
+ node.env
+ npm --prefix client/simple run lint
+ )
+}
+
templates.simple.pygments() {
build_msg PYGMENTS "searxng_extra/update/update_pygments.py"
pyenv.cmd python searxng_extra/update/update_pygments.py \